<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->boolean('is_amazing_special')->default(false)->after('is_active');
            $table->timestamp('special_offer_ends_at')->nullable()->after('is_amazing_special');
        });
    }

    public function down(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn(['is_amazing_special', 'special_offer_ends_at']);
        });
    }
};
